Package org.bedework.synch.wsmessages

# Class ArrayOfSynchPropertyInfo

java.lang.Object
org.bedework.synch.wsmessages.ArrayOfSynchPropertyInfo

public class ArrayOfSynchPropertyInfo extends Object

Java class for ArrayOfSynchPropertyInfo complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ArrayOfSynchPropertyInfo">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="property" type="{http://www.bedework.org/synch/wsmessages}SynchPropertyInfoType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<SynchPropertyInfoType>`
  `property`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayOfSynchPropertyInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<SynchPropertyInfoType>`
  `getProperty()`
  Gets the value of the property property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### property

    protected List<SynchPropertyInfoType> property

- ## Constructor Details

  - ### ArrayOfSynchPropertyInfo

    public ArrayOfSynchPropertyInfo()

- ## Method Details

  - ### getProperty

    public List<SynchPropertyInfoType> getProperty()
    Gets the value of the property property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the property property.

    For example, to add a new item, do as follows:

            getProperty().add(newItem);

    Objects of the following type(s) are allowed in the list `SynchPropertyInfoType`